CREATE TABLE fa_transfers_t (
    TRANSFER_INTERFACE_ID           NUMBER(18, 0) ,
    BOOK_TYPE_CODE                  VARCHAR2(120)     NOT NULL,
    ASSET_ID                        NUMBER(18, 0)     NOT NULL,
    TRANSACTION_TYPE_CODE           VARCHAR2(60)      NOT NULL,
    TRANSACTION_DATE_ENTERED        DATE              NOT NULL,
    TRANSACTION_NAME                VARCHAR2(960) ,
    POSTING_STATUS                  VARCHAR2(60)  ,
    PREPARER_ID                     NUMBER(18, 0) ,
    INTERFACE_LINE_NUMBER           NUMBER(18, 0) ,
    CONVENTION_TYPE_ID              NUMBER(18, 0) ,
    LOAD_REQUEST_ID                 NUMBER(18, 0) ,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE1                      VARCHAR2(600) ,
    ATTRIBUTE2                      VARCHAR2(600) ,
    ATTRIBUTE3                      VARCHAR2(600) ,
    ATTRIBUTE4                      VARCHAR2(600) ,
    ATTRIBUTE5                      VARCHAR2(600) ,
    ATTRIBUTE6                      VARCHAR2(600) ,
    ATTRIBUTE7                      VARCHAR2(600) ,
    ATTRIBUTE8                      VARCHAR2(600) ,
    ATTRIBUTE9                      VARCHAR2(600) ,
    ATTRIBUTE10                     VARCHAR2(600) ,
    ATTRIBUTE11                     VARCHAR2(600) ,
    ATTRIBUTE12                     VARCHAR2(600) ,
    ATTRIBUTE13                     VARCHAR2(600) ,
    ATTRIBUTE14                     VARCHAR2(600) ,
    ATTRIBUTE15                     VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY_CODE         VARCHAR2(120) ,
    ATTRIBUTE_NUMBER1               NUMBER        ,
    ATTRIBUTE_NUMBER2               NUMBER        ,
    ATTRIBUTE_NUMBER3               NUMBER        ,
    ATTRIBUTE_NUMBER4               NUMBER        ,
    ATTRIBUTE_NUMBER5               NUMBER        ,
    ATTRIBUTE_DATE1                 DATE          ,
    ATTRIBUTE_DATE2                 DATE          ,
    ATTRIBUTE_DATE3                 DATE          ,
    ATTRIBUTE_DATE4                 DATE          ,
    ATTRIBUTE_DATE5                 DATE          ,
    BATCH_NAME                      VARCHAR2(120) ,
    REQUEST_ID                      NUMBER(18, 0) ,
    WORKER_ID                       NUMBER(18, 0) ,
    ERROR_MSG                       VARCHAR2(4000),
    ASSET_NUMBER                    VARCHAR2(120) ,
    PREPARER_EMAIL_ADDRESS          VARCHAR2(960) ,
    PREPARER_NAME                   VARCHAR2(960) ,
    PREPARER_NUMBER                 VARCHAR2(120) ,
    TH_GLOBAL_ATTRIBUTE_CATEGORY    VARCHAR2(120) ,
    TH_GLOBAL_ATTRIBUTE1            VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE2            VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE3            VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE4            VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE5            VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE6            VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE7            VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE8            VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE9            VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE10           VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE11           VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE12           VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE13           VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE14           VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE15           VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE16           VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE17           VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE18           VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE19           VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE20           VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE_NUMBER1     NUMBER        ,
    TH_GLOBAL_ATTRIBUTE_NUMBER2     NUMBER        ,
    TH_GLOBAL_ATTRIBUTE_NUMBER3     NUMBER        ,
    TH_GLOBAL_ATTRIBUTE_NUMBER4     NUMBER        ,
    TH_GLOBAL_ATTRIBUTE_NUMBER5     NUMBER        ,
    TH_GLOBAL_ATTRIBUTE_DATE1       DATE          ,
    TH_GLOBAL_ATTRIBUTE_DATE2       DATE          ,
    TH_GLOBAL_ATTRIBUTE_DATE3       DATE          ,
    TH_GLOBAL_ATTRIBUTE_DATE4       DATE          ,
    TH_GLOBAL_ATTRIBUTE_DATE5       DATE          ,
    PRORATE_CONVENTION_CODE         VARCHAR2(40)  ,
    FEEDER_SYSTEM_NAME              VARCHAR2(160) ,
    AUTO_POST_TRANSACTION_FLAG      VARCHAR2(4)   ,
    APPROVAL_STATUS_CODE            VARCHAR2(120) ,
    ASSET_LEVEL_APPROVAL_FLAG       VARCHAR2(4)   ,
    APPROVAL_ID                     NUMBER(18, 0) ,
    TRANSFER_INTERFACE_ID           NUMBER(18, 0) ,
    BOOK_TYPE_CODE                  VARCHAR2(120)     NOT NULL,
    ASSET_ID                        NUMBER(18, 0)     NOT NULL,
    TRANSACTION_TYPE_CODE           VARCHAR2(60)      NOT NULL,
    TRANSACTION_DATE_ENTERED        DATE              NOT NULL,
    TRANSACTION_NAME                VARCHAR2(960) ,
    POSTING_STATUS                  VARCHAR2(60)  ,
    PREPARER_ID                     NUMBER(18, 0) ,
    INTERFACE_LINE_NUMBER           NUMBER(18, 0) ,
    LOAD_REQUEST_ID                 NUMBER(18, 0) ,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE1                      VARCHAR2(600) ,
    ATTRIBUTE2                      VARCHAR2(600) ,
    ATTRIBUTE3                      VARCHAR2(600) ,
    ATTRIBUTE4                      VARCHAR2(600) ,
    ATTRIBUTE5                      VARCHAR2(600) ,
    ATTRIBUTE6                      VARCHAR2(600) ,
    ATTRIBUTE7                      VARCHAR2(600) ,
    ATTRIBUTE8                      VARCHAR2(600) ,
    ATTRIBUTE9                      VARCHAR2(600) ,
    ATTRIBUTE10                     VARCHAR2(600) ,
    ATTRIBUTE11                     VARCHAR2(600) ,
    ATTRIBUTE12                     VARCHAR2(600) ,
    ATTRIBUTE13                     VARCHAR2(600) ,
    ATTRIBUTE14                     VARCHAR2(600) ,
    ATTRIBUTE15                     VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY_CODE         VARCHAR2(120) ,
    ATTRIBUTE_NUMBER1               NUMBER        ,
    ATTRIBUTE_NUMBER2               NUMBER        ,
    ATTRIBUTE_NUMBER3               NUMBER        ,
    ATTRIBUTE_NUMBER4               NUMBER        ,
    ATTRIBUTE_NUMBER5               NUMBER        ,
    ATTRIBUTE_DATE1                 DATE          ,
    ATTRIBUTE_DATE2                 DATE          ,
    ATTRIBUTE_DATE3                 DATE          ,
    ATTRIBUTE_DATE4                 DATE          ,
    ATTRIBUTE_DATE5                 DATE          ,
    BATCH_NAME                      VARCHAR2(120) ,
    REQUEST_ID                      NUMBER(18, 0) ,
    WORKER_ID                       NUMBER(18, 0) ,
    ERROR_MSG                       VARCHAR2(4000),
    ASSET_NUMBER                    VARCHAR2(120) ,
    PREPARER_EMAIL_ADDRESS          VARCHAR2(960) ,
    PREPARER_NAME                   VARCHAR2(960) ,
    PREPARER_NUMBER                 VARCHAR2(120) ,
    TH_GLOBAL_ATTRIBUTE_CATEGORY    VARCHAR2(120) ,
    TH_GLOBAL_ATTRIBUTE1            VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE2            VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE3            VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE4            VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE5            VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE6            VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE7            VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE8            VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE9            VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE10           VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE11           VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE12           VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE13           VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE14           VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE15           VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE16           VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE17           VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE18           VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE19           VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE20           VARCHAR2(600) ,
    TH_GLOBAL_ATTRIBUTE_NUMBER1     NUMBER        ,
    TH_GLOBAL_ATTRIBUTE_NUMBER2     NUMBER        ,
    TH_GLOBAL_ATTRIBUTE_NUMBER3     NUMBER        ,
    TH_GLOBAL_ATTRIBUTE_NUMBER4     NUMBER        ,
    TH_GLOBAL_ATTRIBUTE_NUMBER5     NUMBER        ,
    TH_GLOBAL_ATTRIBUTE_DATE1       DATE          ,
    TH_GLOBAL_ATTRIBUTE_DATE2       DATE          ,
    TH_GLOBAL_ATTRIBUTE_DATE3       DATE          ,
    TH_GLOBAL_ATTRIBUTE_DATE4       DATE          ,
    TH_GLOBAL_ATTRIBUTE_DATE5       DATE          ,
    CONVENTION_TYPE_ID              NUMBER(18, 0) ,
    PRORATE_CONVENTION_CODE         VARCHAR2(40)  ,
    FEEDER_SYSTEM_NAME              VARCHAR2(160) ,
    AUTO_POST_TRANSACTION_FLAG      VARCHAR2(4)   ,
    APPROVAL_STATUS_CODE            VARCHAR2(120) ,
    ASSET_LEVEL_APPROVAL_FLAG       VARCHAR2(4)   ,
    APPROVAL_ID                     NUMBER(18, 0) ,
    CONSTRAINT pk_fa_transfers_t PRIMARY KEY (TRANSFER_INTERFACE_ID, TRANSFER_INTERFACE_ID)
);
